Package ru.bitel.common.model

# Class LogEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.LogEntry

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class LogEntry
    extends Id

Универсальная запись в логах

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CREATE` |
  `static int` | `DELETE` |
  `static int` | `UPDATE` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LogEntry()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAction()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `java.lang.String` | `getDescription()` |
  `int` | `getObjectId()` |
  `int` | `getUserId()` |
  `java.lang.String` | `getUserName()` |
  `void` | `setAction​(int action)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setObjectId​(int objectId)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserName​(java.lang.String userName)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATE

    public static final int CREATE
    See Also:
      Constant Field Values

  - ### UPDATE

    public static final int UPDATE
    See Also:
      Constant Field Values

  - ### DELETE

    public static final int DELETE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### LogEntry

    public LogEntry()

- ## Method Details

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getAction

    public int getAction()

  - ### setAction

    public void setAction​(int action)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### setObjectId

    public void setObjectId​(int objectId)

  - ### getObjectId

    public int getObjectId()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getDate

    public java.util.Date getDate()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getUserName

    public java.lang.String getUserName()